## Read File

`client.retrieval.read(RetrievalReadParamsparams, RequestOptionsoptions?): RetrievalReadResponse`

**post** `/api/v1/retrieval/files/read`

Read the parsed text content of a specific file.

### Parameters

- `params: RetrievalReadParams`

  - `file_id: string`

    Body param: ID of the file to read.

  - `index_id: string`

    Body param: ID of the index the file belongs to.

  - `organization_id?: string | null`

    Query param

  - `project_id?: string | null`

    Query param

  - `max_length?: number | null`

    Body param: Maximum number of characters to read from the offset.

  - `offset?: number`

    Body param: Starting character offset.

### Returns

- `RetrievalReadResponse`

  File read result.

  - `content: string`

    Parsed text content of the file.

### Example

```typescript
import LlamaCloud from '@llamaindex/llama-cloud';

const client = new LlamaCloud({
  apiKey: process.env['LLAMA_CLOUD_API_KEY'], // This is the default and can be omitted
});

const response = await client.retrieval.read({ file_id: 'file_id', index_id: 'idx-abc123' });

console.log(response.content);
```

#### Response

```json
{
  "content": "content"
}
```
